ApiBookings
List Bookings
Lists Bookings
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Query Parameters
member_id?|
Filter by Member ID.
event_id?|
Filter by event or occurrence ID.
resource_id?|
Filter by assigned Event Resource ID.
starts_at_local?|
Inclusive schedule range start (local).
ends_at_local?|
Exclusive schedule range end (local).
status?|
Filter by booking status.
is_schedule_desynced?|
Filter by computed schedule desync flag.
Header Parameters
Members-Context?|
Members organization id (org_…) when the client has multiple organizations.
Response Body
application/json
application/json
curl -X GET "https://api.members.dev/v1/bookings"[
{
"id": "string",
"event_id": "string",
"recurring_event_id": "string",
"original_starts_at_local": {},
"member_id": "string",
"resource_id": "string",
"starts_at_local": null,
"ends_at_local": null,
"timezone": "string",
"status": "string",
"is_schedule_desynced": true,
"price_rule_id": "string",
"price_amount": 0,
"currency": "string",
"price_deductions": [
{}
],
"invoice_id": "string",
"payment_id": "string",
"held_until": {},
"cancelled_at": {},
"cancellation_notes": "string",
"cancellation_invoice_id": "string",
"cancellation_credit_note_id": "string",
"stripe": {
"payment_intent_id": "string",
"client_secret": "string",
"provider_account_id": "string"
},
"created_at": null,
"updated_at": null
}
]{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}